Skip to main content
GET
/
valorant
/
v1
/
account
/
{name}
/
{tag}
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/account/{name}/{tag}
import requests

url = "https://api.henrikdev.xyz/valorant/v1/account/{name}/{tag}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/account/{name}/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "account_level": 123,
    "card": {
      "id": "<string>",
      "large": "<string>",
      "small": "<string>",
      "wide": "<string>"
    },
    "last_update": "<string>",
    "last_update_raw": 123,
    "name": "<string>",
    "puuid": "<string>",
    "region": "<string>",
    "tag": "<string>"
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

name
string
required

Riot ID name

tag
string
required

Riot ID tag

Query Parameters

force
boolean

Bypass cache and refresh (optional)

Response

Account data retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0